Bug 1054787 - [abrt] gnome-shell: _cairo_hash_table_insert(): gnome-shell killed by SIGABRT
Summary: [abrt] gnome-shell: _cairo_hash_table_insert(): gnome-shell killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:df1d7ccd581c710a63385e5ea99...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 13:23 UTC by Dario Castellarin
Modified: 2015-06-29 14:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:32:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (100.89 KB, text/plain)
2014-01-17 13:23 UTC, Dario Castellarin
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-17 13:24 UTC, Dario Castellarin
no flags Details
File: core_backtrace (52.59 KB, text/plain)
2014-01-17 13:24 UTC, Dario Castellarin
no flags Details
File: dso_list (25.42 KB, text/plain)
2014-01-17 13:24 UTC, Dario Castellarin
no flags Details
File: environ (1.20 KB, text/plain)
2014-01-17 13:24 UTC, Dario Castellarin
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-17 13:24 UTC, Dario Castellarin
no flags Details
File: maps (175.76 KB, text/plain)
2014-01-17 13:24 UTC, Dario Castellarin
no flags Details
File: open_fds (5.52 KB, text/plain)
2014-01-17 13:24 UTC, Dario Castellarin
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2014-01-17 13:24 UTC, Dario Castellarin
no flags Details
File: var_log_messages (11.30 KB, text/plain)
2014-01-17 13:24 UTC, Dario Castellarin
no flags Details

Description Dario Castellarin 2014-01-17 13:23:47 UTC
Description of problem:
I pushed the Windows button and started to type to search for a program

Version-Release number of selected component:
gnome-shell-3.10.2.1-3.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _cairo_hash_table_insert
executable:     /usr/bin/gnome-shell
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 _cairo_hash_table_insert at cairo-hash.c:462
 #5 _cairo_scaled_glyph_lookup at cairo-scaled-font.c:2990
 #6 _cairo_scaled_font_single_glyph_device_extents at cairo-scaled-font.c:2167
 #7 _cairo_scaled_font_glyph_device_extents at cairo-scaled-font.c:2219
 #8 _cairo_composite_rectangles_init_for_glyphs at cairo-composite-rectangles.c:447
 #9 _cairo_compositor_glyphs at cairo-compositor.c:238
 #10 _cairo_image_surface_glyphs at cairo-image-surface.c:1005
 #11 _cairo_surface_show_text_glyphs at cairo-surface.c:2564
 #12 _cairo_gstate_show_text_glyphs at cairo-gstate.c:2023
 #13 cairo_show_glyphs at cairo.c:3317

Comment 1 Dario Castellarin 2014-01-17 13:23:58 UTC
Created attachment 851599 [details]
File: backtrace

Comment 2 Dario Castellarin 2014-01-17 13:24:01 UTC
Created attachment 851600 [details]
File: cgroup

Comment 3 Dario Castellarin 2014-01-17 13:24:06 UTC
Created attachment 851601 [details]
File: core_backtrace

Comment 4 Dario Castellarin 2014-01-17 13:24:10 UTC
Created attachment 851602 [details]
File: dso_list

Comment 5 Dario Castellarin 2014-01-17 13:24:12 UTC
Created attachment 851603 [details]
File: environ

Comment 6 Dario Castellarin 2014-01-17 13:24:14 UTC
Created attachment 851604 [details]
File: limits

Comment 7 Dario Castellarin 2014-01-17 13:24:22 UTC
Created attachment 851605 [details]
File: maps

Comment 8 Dario Castellarin 2014-01-17 13:24:24 UTC
Created attachment 851606 [details]
File: open_fds

Comment 9 Dario Castellarin 2014-01-17 13:24:26 UTC
Created attachment 851607 [details]
File: proc_pid_status

Comment 10 Dario Castellarin 2014-01-17 13:24:29 UTC
Created attachment 851608 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:33:03 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 14:32:08 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.